com.dlsc.flexgantt.swing.layer.system

## Class LassoLayerEvent

- java.lang.Object
- - java.util.EventObject
  - - com.dlsc.flexgantt.swing.layer.system.LassoLayerEvent

- All Implemented Interfaces:
    Serializable

      public class LassoLayerEvent
      extends EventObject

  An event object that encapsulates the most important information about a lasso operation executed in an instance of `LassoLayer`.
  Since:
    1.1
  Author:
    Dirk Lemmermann
  See Also:
    `LassoLayer.addLassoLayerListener(ILassoLayerListener)`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LassoLayerEvent.ID` An enumerator with different identifiers that can be used to distinguish between different types of events.

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LassoLayerEvent(LassoLayer layer, LassoLayerEvent.ID id, ITimeSpan span, int startRow, int endRow, LassoLayer.LassoMode lassoMode)` Constructs a new event object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LassoLayer` | `getDragLayer()` Returns the lasso layer where the lasso operation takes place.
    `int` | `getEndRow()` Returns the last row contained in the lasso selection.
    `LassoLayerEvent.ID` | `getId()` Returns the event ID.
    `LassoLayer.LassoMode` | `getLassoMode()` Returns the lasso mode currently in use by the lasso layer.
    `int` | `getStartRow()` Returns the first row contained in the lasso selection.
    `ITimeSpan` | `getTimeSpan()` Returns the time span to which the dragged object has been moved (or resized) by the user.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LassoLayerEvent

          public LassoLayerEvent(LassoLayer layer,
                                 LassoLayerEvent.ID id,
                                 ITimeSpan span,
                                 int startRow,
                                 int endRow,
                                 LassoLayer.LassoMode lassoMode)

      Constructs a new event object.
      Parameters:
        `layer` - the drag layer where the event occured
        `id` - the type of event
        `span` - the time span that will be applied to the dragged object
        `startRow` - the first row contained in the lasso
        `endRow` - the last row contained in the lasso
        `lassoMode` - the type of lasso used by the user
      Since:
        1.1

  - ### Method Detail

    - #### getId

          public LassoLayerEvent.ID getId()

      Returns the event ID.
      Returns:
        the event ID
      Since:
        1.1

    - #### getDragLayer

          public LassoLayer getDragLayer()

      Returns the lasso layer where the lasso operation takes place.
      Returns:
        the origin / the source of the event
      Since:
        1.1

    - #### getTimeSpan

          public ITimeSpan getTimeSpan()

      Returns the time span to which the dragged object has been moved (or resized) by the user.
      Returns:
        the time span that will be applied to the dragged object once the user releases the mouse
      Since:
        1.1

    - #### getLassoMode

          public LassoLayer.LassoMode getLassoMode()

      Returns the lasso mode currently in use by the lasso layer.
      Returns:
        the currently active lasso mode
      Since:
        1.1
      See Also:
        `LassoLayer.setLassoMode(LassoMode)`

    - #### getStartRow

          public int getStartRow()

      Returns the first row contained in the lasso selection.
      Returns:
        the first selected row
      Since:
        1.1

    - #### getEndRow

          public int getEndRow()

      Returns the last row contained in the lasso selection.
      Returns:
        the last selected row
      Since:
        1.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.